
----------------------------
-- Platformer Basics Demo --
----------------------------
-- by MadByte --
----------------

-- Global Declarations --
-------------------------
WIDTH, HEIGHT = love.graphics.getDimensions()
love.window.setMode(WIDTH, HEIGHT, {vsync = false})
Object = require("source.lib.classic")
Actor = require("source.Actor")


function boxCollision(a, b)
  return a.x + a.width > b.x and a.x < b.x + b.width and
  a.y + a.height > b.y and a.y < b.y + b.height
end


-- Local Declarations --
------------------------
local Gamestate = require("source.lib.gamestate")
local Game = require("source.Game")


function love.load()
  Gamestate.switch(Game)
  Gamestate.registerEvents()
end

