

-----------------
-- State||GAME --
-----------------
local Game = {}


-- Local Declarations --
------------------------
-- The "Container" is a way to manage entities. I don't use it in this project, but maybe it give you an idea how I would try to manage them.
-- Anyway this may not be the bast way doing it... but its a start :)
local Container = require("source.Container")
local Map = require("source.Map")
local map1 = require("assets.maps.map1")
local Player = require("source.Player")
local player


function Game:enter()
  map = Map(map1)
  player = Player(map:getSpawn())
end


function Game:leave()
end


function Game:update(dt)
  player:update(dt)
end


function Game:draw()
  map:draw()
  player:draw()
  
  -- Debug Informations --
  love.graphics.print("Press F1 to toggle collision box debug mode", 10, 10)
  love.graphics.print("FPS: "..love.timer.getFPS(), 10, 30)
end


function Game:keypressed(key)
  if key == "escape" then love.event.quit() end
  if key == "f1" then map:toggleDebug() end
  if key == "r" then self:enter() end
end

return Game
